KeepCommand (Apache Commons Text 1.13.0 API)
Description: declaration: package: org.apache.commons.text.diff, class: KeepCommand

Package org.apache.commons.text.diff

# Class KeepCommand<T>

java.lang.Object
org.apache.commons.text.diff.EditCommand<T>
org.apache.commons.text.diff.KeepCommand<T>

Type Parameters:
  `T` - object type

public class KeepCommand<T> extends EditCommand<T>
Command representing the keeping of one object present in both sequences.

When one object of the first sequence `equals` another objects in the second sequence at the right place, the `edit script` transforming the first sequence into the second sequence uses an instance of this class to represent the keeping of this object. The objects embedded in these type of commands always come from the first sequence.

Since:
  1.0
See Also:
  - `StringsComparator`
  - `EditScript`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeepCommand(T object)`
  Constructs a new instance of KeepCommand.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(CommandVisitor<T> visitor)`
  Accepts a visitor.

  ### Methods inherited from class org.apache.commons.text.diff.EditCommand

  `getObject`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KeepCommand

    public KeepCommand(T object)
    Constructs a new instance of KeepCommand.
    Parameters:
      `object` - the object belonging to both sequences (the object is a reference to the instance in the first sequence which is known to be equal to an instance in the second sequence)

- ## Method Details

  - ### accept

    public void accept(CommandVisitor<T> visitor)
    Accepts a visitor. When a `KeepCommand` accepts a visitor, it calls its `visitKeepCommand` method.
    Specified by:
      `accept` in class `EditCommand<T>`
    Parameters:
      `visitor` - the visitor to be accepted